%define anolis_release 2
%global lit_version 16.0.6

%bcond_without check

Name: python-lit
Version: %{lit_version}
Release: %{anolis_release}%{?dist}
BuildArch: noarch

License: NCSA
Summary: Tool for executing llvm test suites
URL: https://pypi.python.org/pypi/lit
Source0: %{pypi_source lit %{lit_version}}
Source1: https://gitee.com/mirrors/LLVM/raw/llvmorg-%{version}/llvm/utils/lit/LICENSE.TXT

# for file check
%if %{with check}
BuildRequires: llvm-test
%endif
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
lit is a tool used by the LLVM project for executing its test suites.

%package -n python3-lit
Summary: LLVM lit test runner for Python 3

Requires: python3-setuptools
Recommends: python3-psutil

%description -n python3-lit
lit is a tool used by the LLVM project for executing its test suites.

%prep
%autosetup -n lit-%{lit_version} -p4
cp %{SOURCE1} ./

%build
%py3_build

%install
%py3_install

# Strip out #!/usr/bin/env python
sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitelib}/lit/*.py

%if %{with check}
%check
%{__python3} lit.py -v tests
%endif

%files -n python3-lit
%license LICENSE.TXT
%{python3_sitelib}/*
%{_bindir}/lit

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 16.0.6-2
- Rebuild with python3.11

* Sun Jul 9 2023 Funda Wang <fundawang@yeah.net> - 16.0.6-1
- New version 16.0.6

* Thu May 18 2023 Funda Wang <fundawang@yeah.net> - 16.0.5-1
- New version 16.0.5

* Mon May 08 2023 Funda Wang <fundawang@yeah.net> - 16.0.3-1
- New version 16.0.3

* Wed Apr 19 2023 Funda Wang <fundawang@yeah.net> - 16.0.1-1
- New version 16.0.1

* Wed Feb 1 2023 Funda Wang <fundawang@yeah.net> - 15.0.7-1
- Import package for anolis 23
